Bug 769576 - [abrt] kernel: WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
[abrt] kernel: WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:c82a414ed357c63a3502b4a4bf5...
:
: 790397 (view as bug list)
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2011-12-21 06:25 EST by edo
Modified: 2012-04-19 12:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 12:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: smolt_data (4.91 KB, text/plain)
2011-12-21 06:25 EST, edo
no flags Details

  None (edit)
Description edo 2011-12-21 06:25:08 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.1.5-6.fc16.x86_64 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap quiet SYSFONT=latarcyrheb-sun16 KEYTABLE=sk-qwerty rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 LANG=sk_SK.UTF-8
kernel:         3.1.5-6.fc16.x86_64
reason:         WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
time:           Ut 20. december 2011, 17:27:25 CET

smolt_data:     Text file, 5030 bytes

backtrace:
:WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
:Hardware name: N73JQ
:list_del corruption. next->prev should be ffff8801b068a6e0, but was fdff8801b068a6e0
:Modules linked in: snd_hwdep serio_raw btusb(+) asus_laptop(+) bluetooth mac80211 sparse_keymap input_polldev snd_pcm ath9k_common ath9k_hw i7core_edac ath cfg80211 edac_core sunrpc atl1c(+) uinput iTCO_wdt iTCO_vendor_support snd_timer rfkill snd soundcore i2c_core snd_page_alloc video
:Pid: 743, comm: udevd Not tainted 3.1.5-6.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106b6ef>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106b7e6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff812bc6e2>] __list_del_entry+0x82/0xd0
: [<ffffffff812bc741>] list_del+0x11/0x40
: [<ffffffff811445d0>] unlink_anon_vmas+0x80/0x180
: [<ffffffff811372bc>] free_pgtables+0xac/0x120
: [<ffffffff81140a36>] exit_mmap+0xc6/0x140
: [<ffffffff81068ac3>] mmput+0x73/0x110
: [<ffffffff81178efc>] flush_old_exec+0x3cc/0x760
: [<ffffffff81172a8d>] ? vfs_read+0x10d/0x180
: [<ffffffff811bfb37>] load_elf_binary+0x377/0x1a60
: [<ffffffff81274184>] ? ima_must_measure+0x14/0x20
: [<ffffffff812739da>] ? process_measurement+0x6a/0xe0
: [<ffffffff811788fc>] search_binary_handler+0xec/0x320
: [<ffffffff811bf7c0>] ? do_mmap+0x40/0x40
: [<ffffffff81179d3b>] do_execve_common+0x2ab/0x330
: [<ffffffff81179dfa>] do_execve+0x3a/0x40
: [<ffffffff8101bff7>] sys_execve+0x47/0x70
: [<ffffffff815dcc1c>] stub_execve+0x6c/0xc0
Comment 1 edo 2011-12-21 06:25:12 EST
Created attachment 549014 [details]
File: smolt_data
Comment 2 Josh Boyer 2011-12-21 08:57:41 EST
You have a single bit flip in memory here.  Have you run memtest86+ on this machine recently?
Comment 3 Raphael Groner 2012-02-14 07:38:11 EST
*** Bug 790397 has been marked as a duplicate of this bug. ***
Comment 4 Raphael Groner 2012-02-14 07:41:02 EST
As reported in bug #790397, this happens on my machine after hibernation.
Comment 5 Dave Jones 2012-03-09 13:05:15 EST
if you could run the kernel-debug build at
http://koji.fedoraproject.org/koji/buildinfo?buildID=304798 that might turn up
a different trace that might be helpful to us to track this down.

(it's going to be considerably slower than the regular build, due to the extra
checking).
Comment 6 Arne Woerner 2012-03-14 13:11:20 EDT
is there any intel graphix involved?
can u say something about ur swap area?

i have the theory, that just empty swap areas can be used for hibernation... :-)
but i m the only one who likes it currently...

could u empty ur swap area before hibernation, too?
i do it with "sync ; sleep 10 ; sync ; swapoff ... ; swapon -a ; sync" in a script in /usr/lib64/pm-utils/sleep.d/ shortly before hibernation starts...
i m not sure about the sync/sleep calls... :-)
Comment 7 Arne Woerner 2012-03-15 15:04:00 EDT
emptying the swap space is no workaround...
it crashed today in spite of emptied swap space...
now i test tuxonice from the atrpms repo... :-)
Comment 8 Dave Jones 2012-03-22 12:48:56 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 9 Dave Jones 2012-03-22 12:53:25 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 10 Dave Jones 2012-03-22 13:03:59 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 11 Raphael Groner 2012-03-23 16:12:38 EDT
Also for this bug: I am not able to reproduce. Off till it's happening again and in case, trying to get an unique reproduction process.
Comment 12 Josh Boyer 2012-03-28 14:01:41 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.